gnutls_cipher_get_name(3)

NAME
gnutls_cipher_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_cipher_get_name(gnutls_cipher_algorithm_t algorithm);

ARGUMENTS

gnutls_cipher_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
Convert a gnutls_cipher_algorithm_t type to a string.

RETURNS
a pointer to a string that contains the name of the specified cipher, or NULL.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.